> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List US Derivatives Positions

> Get a list of positions in CFM products



## OpenAPI

````yaml GET  /api/v3/brokerage/cfm/positions
openapi: 3.1.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - ApiKey: []
  - OAuth2: []
paths:
  /api/v3/brokerage/cfm/positions:
    get:
      tags:
        - Futures
      summary: List Futures Positions
      description: Get a list of positions in CFM products
      operationId: RetailBrokerageApi_GetFCMPositions
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.fcm.GetFCMPositionsResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.fcm.GetFCMPositionsResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
      security:
        - ApiKey:
            - view
        - OAuth2:
            - wallet:transactions:read
components:
  schemas:
    coinbase.retail.rest.proxy.fcm.GetFCMPositionsResponse:
      type: object
      properties:
        positions:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.retail.rest.proxy.fcm.FCMPosition'
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            type: object
            additionalProperties: true
    coinbase.retail.rest.proxy.fcm.FCMPosition:
      type: object
      properties:
        product_id:
          type: string
          description: The ticker symbol (e.g. 'BIT-28JUL23-CDE').
        expiration_time:
          type: string
          format: RFC3339 Timestamp
          description: The expiry of your position
        side:
          description: The side of your position
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.retail.rest.proxy.fcm.FCMPositionSide
        number_of_contracts:
          type: string
          description: The size of your position in contracts
        current_price:
          type: string
          description: The current price of the product
        avg_entry_price:
          type: string
          description: The average entry price at which you entered your current position
        unrealized_pnl:
          type: string
          description: Your current unrealized PnL for your position
        daily_realized_pnl:
          type: string
          description: >-
            Your realized PnL from your trades in this product on current trade
            date
    coinbase.retail.rest.proxy.fcm.FCMPositionSide:
      type: string
      enum:
        - UNKNOWN
        - LONG
        - SHORT
      default: UNKNOWN
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A bearer token signed using your API Key Secret, see [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our docs for more information. See [Scope &
        Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        permission each endpoint requires.
    OAuth2:
      type: oauth2
      description: >-
        An OAuth 2.0 access token from the Coinbase App OAuth2 flow. See [Scope
        & Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        scope each endpoint requires.
      flows:
        authorizationCode:
          authorizationUrl: https://login.coinbase.com/oauth2/auth
          tokenUrl: https://login.coinbase.com/oauth2/token
          scopes:
            wallet:user:read: View your account information.
            wallet:user:update: Update your account information.
            wallet:accounts:read: View your accounts.
            wallet:buys:create: Place, edit, and cancel orders.
            wallet:trades:read: View your cryptocurrency conversions.
            wallet:trades:create: Convert cryptocurrencies.
            wallet:transactions:read: View your transactions.
            wallet:transactions:transfer: Transfer funds between accounts.
            wallet:payment-methods:read: View your payment methods.

````